FRAMESHIFTSIMUL_FINAL(1)

NAME
frameshiftSimul_final.pl - Simulation for HmmCleaner

VERSION
version 0.180750

USAGE
frameshiftSimul_final.pl <infiles> --taxdir=<taxdir> [--noX --noStop -nf <nf> -sf <sf> -rep <rep> --profile=<profile>]

REQUIRED ARGUMENTS

<infiles>
    list of alignment file to check with HMMCleaner

--taxdir=<taxdir>
    Path to local mirror of the NCBI Taxonomy database as obtain from setup-taxdir.pl

OPTIONS

-t[hreshold] <threshold>
    threshold value determining shifts in sequence compare to HMM model

-cost1=<cost1>
    cost of blank character in profile alignment

-cost2=<cost2>
    cost of + character in profile alignment

-cost3=<cost3>
    cost of lowercase character in profile alignment

-cost4=<cost4>
    cost of uppercase character in profile alignment

-nf <nf>
    number of frameshift

-sf <sf>
    size of frameshift

-rep <rep>
    number of replicate for one file

-subset <subset>
    number of seq to keep in file at random

--noX
    Determine that X characters don't have to be consider by HMMER

--noStop
    Not stopping translation at STOP codon

-v[erbosity]=<level>
    Verbosity level for logging to STDERR [default: 0]. Available levels range from 0 to 5.

--version
--usage
--help
--man
    Print the usual program information

AUTHOR
Arnaud Di Franco <arnaud.difranco@gmail.fr>

COPYRIGHT AND LICENSE
This software is copyright (c) 2018 by Arnaud Di Franco.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.